<?php  
    header('Content-type: application/json');
	set_time_limit(0);
	ini_set('memory_limit', '-1');
 
	
	function processCurlJsonrequest($URL, $fieldString)
	{
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json', 'Accept: application/json'));
		curl_setopt($ch, CURLOPT_URL, $URL);
		// curl_setopt($ch, CURLOPT_USERAGENT, $this->_agent);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		// curl_setopt($ch, CURLOPT_COOKIEFILE, $this->_cookie_file_path);
		//curl_setopt($ch, CURLOPT_COOKIEJAR, $this->_cookie_file_path);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
		curl_setopt($ch, CURLOPT_VERBOSE, TRUE);
		curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fieldString));
		curl_setopt($ch, CURLOPT_POST, 1);
		$resulta = curl_exec($ch);
		if (curl_errno($ch)) {
			print curl_error($ch);
		} else {
			curl_close($ch);
		}
		return $resulta;
	}

	$fecha_inicio = $_POST["txtFecha"]; 
	
	$fecha = $fecha_inicio."T00:00:01";
	$fecha_termino = $fecha_inicio."T23:59:00";
	 

	$data_string = array(
		'apiKey' => 'fd2b105003aa78c2751a71f4dd3f79b7',
		'inicio' => $fecha,
		'termino' => $fecha_termino
	);
	$data =  processCurlJsonrequest('https://app.relojcontrol.com/api/consultaMarcaciones/consulta',$data_string);
	$array = json_decode($data);
	if($array->respuesta == 0){
		foreach ($array->marcaciones as $o) {
			
			$tipo = "ENTRADA";
			if(intval($o->tipo) == 1) { $tipo = "SALIDA"; }
			if(intval($o->tipo) == 2) { $tipo = "SALIDA EXTRAORDINARIA"; }
			if(intval($o->tipo) == 3) { $tipo = "ENTRADA EXTRAORDINARIA"; }
			if(intval($o->tipo) == 4) { $tipo = "SALIDA A DESCANSO"; }
			if(intval($o->tipo) == 5) { $tipo = "ENTRADA DESPUES DE DESCANSO"; }
			
			$array = explode("T", $o->fechaHora);

			$vetor[] = array(						  
				'fecha' => $array[0],	
				'hora' => $array[1],				
				'rut' => $o->rut,
				'nombre' => utf8_encode($o->nombres),
				'apellido' => utf8_encode($o->apellidos),
				'departamento' => utf8_encode($o->departamento),
				'sucursal' => utf8_encode($o->sucursal),					  
				'tipo_marcaje' => $tipo		
			);					
		}								
	}
	
    echo json_encode($vetor);		
?>	
